Bug 1713852 - Review Request: asdcplib - AS-DCP file access libraries
Summary: Review Request: asdcplib - AS-DCP file access libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1421851 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-25 07:47 UTC by Simone Caronni
Modified: 2019-06-17 23:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-17 18:28:13 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Simone Caronni 2019-05-25 07:47:01 UTC
Spec URL: https://slaanesh.fedorapeople.org/asdcplib.spec
SRPM URL: https://slaanesh.fedorapeople.org/asdcplib-2.10.32-1.fc30.src.rpm
Description: Open source implementation of SMPTE and the MXF Interop “Sound & Picture Track
File” format. It was originally developed with support from DCI. Development
is currently supported by CineCert and other d-cinema manufacturers.

It supports reading and writing MXF files containing sound (PCM), picture (JPEG
2000 or MPEG-2) and timed-text (XML) essence. plain text and cipher text are
both supported using OpenSSL for cryptographic support.
Fedora Account System Username: slaanesh

Comment 1 Simone Caronni 2019-05-25 07:48:24 UTC
To test the library, I have a valid DCP cinema license that was given to me by a friend to test DCP support in VLC, I can open some signed DCP packages with a valid timestamp.
I can barely get 2 fps on a recent PC :)

%ldconfig_scriptlets is in the spec file as I plan to build also for epel-7.

$ rpmlint asdcplib.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Simone Caronni 2019-05-25 07:48:36 UTC
*** Bug 1421851 has been marked as a duplicate of this bug. ***

Comment 3 Nicolas Chauvet (kwizart) 2019-05-27 18:28:47 UTC
About OpenSSL and GPL, See also:
https://lwn.net/Articles/428111/
https://fedoraproject.org/wiki/Licensing:FAQ#What.27s_the_deal_with_the_OpenSSL_license.3F

By itself, there is nothing wrong. Just a notice that it will be used by VideoLAN vlc which is covered by the GPL.

I've been confirmed by VideoLan chairman (jb) that using asdcplib built with openssl fall under the "GPL system library exception", at least on Fedora.
For the record, vlc as built on others OS, is patching asdcplib to use nettle/gcrypt so it's compliant with the GPL. 
(IANAL)

Comment 4 Simone Caronni 2019-05-29 20:36:30 UTC
Thanks, will update!

Comment 5 Robert-André Mauchin 🐧 2019-06-07 14:34:13 UTC
 - We now forbid to glob the major soname version of a library to avoid unintentional soname bumps, be more precise instead:

%{_libdir}/*.so.2*


 - Just use:

Source0:        https://github.com/cinecert/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz

 - Why a libs subpackage? You could put the lib directly into the main package? asdcplib-libs is a bit redundant.





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "FSF All Permissive License". 12 files have unknown license.
     Detailed output of licensecheck in
     /home/bob/packaging/review/asdcplib/review-asdcplib/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     asdcplib-libs , asdcplib-tools , asdcplib-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: asdcplib-libs-2.10.32-2.fc31.x86_64.rpm
          asdcplib-tools-2.10.32-2.fc31.x86_64.rpm
          asdcplib-devel-2.10.32-2.fc31.x86_64.rpm
          asdcplib-debuginfo-2.10.32-2.fc31.x86_64.rpm
          asdcplib-debugsource-2.10.32-2.fc31.x86_64.rpm
          asdcplib-2.10.32-2.fc31.src.rpm
asdcplib-tools.x86_64: W: no-documentation
asdcplib-tools.x86_64: W: no-manual-page-for-binary as-02-info
asdcplib-tools.x86_64: W: no-manual-page-for-binary as-02-unwrap
asdcplib-tools.x86_64: W: no-manual-page-for-binary as-02-wrap
asdcplib-tools.x86_64: W: no-manual-page-for-binary asdcp-info
asdcplib-tools.x86_64: W: no-manual-page-for-binary asdcp-test
asdcplib-tools.x86_64: W: no-manual-page-for-binary asdcp-unwrap
asdcplib-tools.x86_64: W: no-manual-page-for-binary asdcp-util
asdcplib-tools.x86_64: W: no-manual-page-for-binary asdcp-wrap
asdcplib-tools.x86_64: W: no-manual-page-for-binary blackwave
asdcplib-tools.x86_64: W: no-manual-page-for-binary j2c-test
asdcplib-tools.x86_64: W: no-manual-page-for-binary klvwalk
asdcplib-tools.x86_64: W: no-manual-page-for-binary kmfilegen
asdcplib-tools.x86_64: W: no-manual-page-for-binary kmrandgen
asdcplib-tools.x86_64: W: no-manual-page-for-binary kmuuidgen
asdcplib-tools.x86_64: W: no-manual-page-for-binary wavesplit
asdcplib-devel.x86_64: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 17 warnings.

Comment 6 Simone Caronni 2019-06-08 12:06:19 UTC
(In reply to Robert-André Mauchin from comment #5)
>  - We now forbid to glob the major soname version of a library to avoid
> unintentional soname bumps, be more precise instead:
> 
> %{_libdir}/*.so.2*

Fixed.

>  - Just use:
> 
> Source0:       
> https://github.com/cinecert/%{name}/archive/%{gittag}/%{name}-%{version}.tar.
> gz

Done.

>  - Why a libs subpackage? You could put the lib directly into the main
> package? asdcplib-libs is a bit redundant.

I would say mostly for consistency, but is fine, I removed the libs subpackage and libraries are now in asdcplib.

Updates:

Spec URL: https://slaanesh.fedorapeople.org/asdcplib.spec
SRPM URL: https://slaanesh.fedorapeople.org/asdcplib-2.10.32-3.fc30.src.rpm

Comment 7 Robert-André Mauchin 🐧 2019-06-08 19:56:01 UTC
Package approved.

Comment 8 Simone Caronni 2019-06-09 05:55:05 UTC
Thanks!

Comment 9 Igor Raits 2019-06-09 14:31:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/asdcplib

Comment 10 Fedora Update System 2019-06-09 20:33:16 UTC
FEDORA-2019-8eb264f106 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8eb264f106

Comment 11 Fedora Update System 2019-06-09 20:33:20 UTC
FEDORA-EPEL-2019-f311a442f2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f311a442f2

Comment 12 Fedora Update System 2019-06-10 01:11:04 UTC
asdcplib-2.10.32-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8eb264f106

Comment 13 Fedora Update System 2019-06-10 01:20:12 UTC
asdcplib-2.10.32-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-f311a442f2

Comment 14 Fedora Update System 2019-06-10 04:27:17 UTC
asdcplib-2.10.32-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a55b28870

Comment 15 Fedora Update System 2019-06-11 07:13:14 UTC
FEDORA-2019-cb23d5f508 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb23d5f508

Comment 16 Fedora Update System 2019-06-11 07:13:18 UTC
FEDORA-2019-33c83682d7 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-33c83682d7

Comment 17 Fedora Update System 2019-06-12 01:29:52 UTC
asdcplib-2.10.32-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb23d5f508

Comment 18 Fedora Update System 2019-06-12 01:31:40 UTC
asdcplib-2.10.32-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-33c83682d7

Comment 19 Fedora Update System 2019-06-12 02:08:36 UTC
asdcplib-2.10.32-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7fef0fd359

Comment 20 Fedora Update System 2019-06-17 18:28:13 UTC
asdcplib-2.10.32-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-06-17 19:03:49 UTC
asdcplib-2.10.32-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-06-17 23:33:33 UTC
asdcplib-2.10.32-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.